#ifndef __ZHCRYPT_H__
#define __ZHCRYPT_H__

extern "C"
{

int ZH_getKey(char * keyBuf, char * ctrlBuf, void * pvInfo);
char * ZH_encodeSendData(char * codeBuf, char * buf, int length, int * eLength, char * keyBuf, int keyLengh);
char * ZH_decodeRecvData(char * codeBuf, char * buf, int length, int * dLength, char * keyBuf, int keyLength, int * pcurKeyPos);
int ZH_encodeBkData(char * pOrgData, int dataLen, char * keyBuf, int keyLen, char * pCodeBuf);
void ZH_decodeBkData(char * pCodeBuf, char * pOrgBuf,int totalLen);
int ZH_checkChkValue(char * pJsonData, int dLength, int tbckValue);
}
#endif
